petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMRedundantGetSize

Gets the size of a densely coupled redundant object

### Synopsis

    #include "petscdmredundant.h"
    PetscErrorCode DMRedundantGetSize(DM dm,PetscMPIInt *rank,PetscInt *N)

Not Collective

### Input Parameter

| dm | - redundant DM

### Output Parameters

| rank | - rank of process to own redundant degrees of freedom (or NULL)
| N | - total number of redundant degrees of freedom (or NULL)

### See Also

DMDestroy(), DMCreateGlobalVector(), DMRedundantCreate(), DMRedundantSetSize()

Level:advanced
Location:src/dm/impls/redundant/dmredundant.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages